Subject: [patch] Re: odd bash wrapping due to ansi codes
From: Chris Abbey <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Sun, 01 Oct 2000 02:41:48 -0500

sorry for the delay, I've been offline for a week...
Wow, I didn't realize this was generated; here's the first patch
I propose, and the one most likely to be acceptable to all.

~/cyg $ cvs diff -ub src/winsup/cinstall/desktop.cc
Index: src/winsup/cinstall/desktop.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/desktop.cc,v
retrieving revision 2.2
diff -u -b -r2.2 desktop.cc
--- desktop.cc  2000/09/08 00:14:20     2.2
+++ desktop.cc  2000/10/01 07:26:38
@@ -77,8 +77,8 @@
    "done",
    "",
    "export MAKE_MODE=unix",
-  "export PS1='\033]0;\\w\a",
-  "\033[32m\\u@\\h \033[33m\\w\033[0m",
+  "export PS1='\\[\\033]0;\\w\a",
+  "\\033[32m\\]\\u@\\h \\[\\033[33m\\w\\033[0m\\]",
    "$ '",
    "",
    "cd $HOME",

changelog:

2000-10-01  Chris Abbey <[email-masked]>

         * desktop.cc:  cleaned up PS1: wrapped non-printables in
                        \[ \], used escape sequences for binary chars.

At 21:19 9/25/00 -0400, you wrote:

>Could you supply a patch to the sources, not the generated profile?
>They're in src/winsup/cinstall/desktop.cc
>
>Don't forget the ChangeLog entry!
>
>http://sources.redhat.com/cygwin/cvs.html

--
Want to unsubscribe from this list?
Send a message to [email-masked]